PMSIGNAL(1)

NAME
pmsignal - send a signal to one or more processes

SYNOPSIS
$PCP_BINADM_DIR/pmsignal [-alnp] [-s signal] [PID ...|name ...]

DESCRIPTION
pmsignal provides a cross-platform event signalling mechanism for use with tools from the Performance Co-Pilot toolkit. It can be used to send a named signal (only HUP, USR1, TERM, and KILL are accepted) to one or more processes.

The processes are specified directly using PIDs or as program names (with either the -a or -p options). In the all case, the set of all running processes is searched for a basename(1) match on name. In the program case, process identifiers are extracted from files in the $PCP_RUN_DIR directory where file names are matched on name.pid.

The -n option reports the list of process identifiers that would have been signalled, but no signals are actually sent.

If a signal is not specified, then the TERM signal will be sent. The list of supported signals is reported when using the -l option.

On Linux and UNIX platforms, pmsignal is a simple wrapper around the kill(1) command. On Windows, the is no direct equivalent to this mechanism, and so an alternate mechanism has been implemented - this is only honoured by PCP tools, however, not all Windows utilities.

OPTIONS
The available command line options are:

-a, --all
    Send signal to all named processes.

-l, --list
    List supported signals.

-n, --dry-run
    List processes that would be affected.

-p, --program
    Extract programs from PCP runtime PID files.

-s signal, --signal=signal
    Specify the signal to send, one of: HUP, USR1, TERM, KILL.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
basename(1), kill(1), killall(1), pcp.conf(5) and pcp.env(5).